//
//  PreferencesController.h
//  BloglinesMenu
//
//  Created by Dj Walker-Morgan on 26/12/2004.
//  Copyright 2004 Runstate/Codepope. All rights reserved.
//

#import <Cocoa/Cocoa.h>

extern NSString *CDCEmailAddressKey;
extern NSString *CDCPollRate;
extern NSString *CDCNotifyBeep;
extern NSString *CDCNotifyGrowl;
extern NSString *CDCSnoozeTime;
extern NSString *CDCAutoSnooze;
extern NSString *CDCNixonMode;
extern NSString *CDCStartAtLogin;

@interface PreferencesController : NSWindowController {
	IBOutlet NSTextField *emailAddressField;
	IBOutlet NSTextField *pollRateField;
	IBOutlet NSButton *beepNotificationButton;
	IBOutlet NSButton *growlNotificationButton;
	IBOutlet NSTextField *snoozeTimeField;
	IBOutlet NSButton *autosnoozeButton;
	IBOutlet NSButton *nixonModeButton;
	IBOutlet NSButton *startAtLoginButton;
}

-(IBAction)saveChanges:(id)sender;
-(IBAction)setStartOnLogin:(id)sender;
-(void)setMyAppInLoginItems:(BOOL)doAdd;

@end
